UltraSn0w Unlock Updated to Support iOS 4.3.1, Old Basebands Only

The iPhone Dev-Team has announced an update to UltraSn0w that makes it compatible with iOS 4.3.1 for basebands previously unlocked. We’ve pushed out the 4.3.1 compatibility fix for ultrasn0w in Cydia — it’s now at version 1.2.1. If you’re not Continue reading